{{#unless isShowingMenuTags}}
<div class="row home-welcome__text px-3">
  <div class="col-12 p-3 home-welcome__slogan">
    {{#if isButtonNetRoute}}
        <strong>{{buttonNet.name}}</strong> es:<br>
      <div class="home-welcome__slogan-sub">{{buttonNet.description}}</div>
    {{else}}
      <strong>
        {{#if noTrendingTags}}
          {{welcomeTitle1}}
          {{place-autocomplete-field
            classNames="home-welcome__address home-welcome__address-container"
            inputClass='home-welcome__address'
            value=searchZoneAddress
            id=welcomeAddress
            searchAction=(action 'searchByAddress')
            placeChangedCallback=(action 'searchByAddress')
            setValueWithProperty='formatted_address'
            handlerController=this
            withGeoLocate=true
            placeholder=searchZoneAddress
            disabled=isSearching
          }}
        {{else}}
          {{welcomeTitle}}
          {{place-autocomplete-field
            id=welcomeAddress
            classNames="home-welcome__address home-welcome__address-container"
            inputClass='home-welcome__address'
            value=searchZoneAddress
            setValueWithProperty='formatted_address'
            handlerController=this
            searchAction=(action 'searchByAddress')
            placeChangedCallback=(action 'searchByAddress')
            withGeoLocate=true
            placeholder=searchZoneAddress
            disabled=isSearching

          }}
        {{/if}}
      </strong>
    {{/if}}
  </div>
  {{#if isButtonNetRoute}}
    {{#unless noTrendingTags}}
      <div class="col-12 px-3 home-welcome__slogan">
        Temas de la zona:
      </div>
    {{else}}
      <div class="col-12 px-3 home-welcome__slogan">
        Temas de la Red:
      </div>
    {{/unless}}
  {{/if}}
  <div class="col-12 px-3 p">
    <p>
      {{#each firstTrendingTags as |tag|}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
            {{tag.name}}
          {{/link-to}}
        {{else}}
          {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
            {{tag.name}}
          {{/link-to}}
        {{/if}}
      {{/each}}
      {{#if moreTrendingTags}}
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{else}}
          {{#link-to 'index.index' (query-params searchTags="" hideWelcome=false) click=(action 'toggleModal' 'isShowingMenuTags') class="hashtag hashtag--yellow-home home-welcome-mobile__seeall trending-tags__tag-name mt-1"}}Ver más{{/link-to}}
        {{/if}}
      {{/if}}
      {{#if noTrendingTags}}
        {{#unless isButtonNetRoute}}
          {{#each globalTrendingTags as |tag|}}
              {{#link-to 'index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
                {{tag.name}}
              {{/link-to}}
          {{/each}}
        {{/unless}}
        {{#if isButtonNetRoute}}
          {{#each buttonNet.tags as |tag|}}
            {{#link-to 'button-net.index.index' (query-params searchTags=tag.name hideWelcome=true) click=(action 'hideMenu' "isShowingMenuModal") class="hashtag hashtag--yellow-home trending-tags__tag-name mt-1"}}
              {{tag.name}}
            {{/link-to}}
          {{/each}}
        {{/if}}
      {{/if}}
    </p>
  </div>
  {{#if isButtonNetRoute}}

  {{else}}
    {{#if noTrendingTags}}
      <div class="col-12 px-3 home-welcome__slogan">
        <strong>Creando un botón para que contacten contigo:</strong>
      </div>
    {{else}}
      <div class="col-12 px-3 home-welcome__slogan">
        <strong>O crea un botón para que contacten contigo:</strong>
      </div>
    {{/if}}
  {{/if}}
  <!-- <div class="col-12">
    <div class="row text-center">
      <div class="col-6 pr-0">
        {{#link-to 'others' class="home-welcome__small-buttons" tagName="button"}}
          Más info
        {{/link-to}}
      </div>
      <div class="col-6 pl-0">
        {{#link-to 'others' (query-params section="donate") class="home-welcome__small-buttons" tagName="button"}}
          Donar
        {{/link-to}}
      </div>
    </div>
  </div> -->
</div>
<div class="home-welcome__half-screen text-center">
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.index.index.new-button' 'new'}}
      <div class="home-welcome__create-button">
        <div class="home-welcome__create-button-border">
        </div>
        <div class="row home-welcome__button-design">
          <div class="col-12 text-center">{{svg-jar "create"}}</div>
          <div class="col-12 home-welcome__create-button-text">
            <strong>CREAR BOTÓN</strong>
          </div>
        </div>
      </div>
    {{/link-to}}
  {{else}}
    {{#link-to 'index.index.new-button' 'new'}}
      <div class="home-welcome__create-button">
        <div class="home-welcome__create-button-border">
        </div>
        <div class="row home-welcome__button-design">
          <div class="col-12 text-center">{{svg-jar "create"}}</div>
          <div class="col-12 home-welcome__create-button-text">
            <strong>CREAR BOTÓN</strong>
          </div>
        </div>
      </div>
    {{/link-to}}
  {{/if}}
</div>
<div class="mt-3 ml-5 mr-5 home-welcome__text mb-1">
  <div class="d-flex justify-content-between mb-1">
    <div class="text-center">
        {{#if isButtonNetRoute}}
          {{#link-to 'button-net.others' (query-params section="") class="home-welcome__small-buttons mb-1" tagName="button"}}
            Más info
          {{/link-to}}
        {{else}}
          {{#link-to 'others' (query-params section="") class="home-welcome__small-buttons mb-1" tagName="button"}}
            Más info
          {{/link-to}}
        {{/if}}
    </div>
    <div class="text-center">
      {{#if isButtonNetRoute}}
        {{#link-to 'button-net.others' (query-params section="donate") class="home-welcome__small-buttons mb-1" tagName="button"}}
          Donar
        {{/link-to}}
      {{else}}
        {{#link-to 'others' (query-params section="donate") class="home-welcome__small-buttons mb-1" tagName="button"}}
          Donar
        {{/link-to}}
      {{/if}}
    </div>
  </div>
  {{#if isButtonNetRoute}}
    <div class="d-flex justify-content-between mt-0">
      <button class="w-100 text-center home-welcome__small-buttons mb-3" {{action 'copyWidgetRoute'}} type="button" name="button">
        Código para insertar mapa
      </button>
    </div>
  {{else}}
    <div class="d-flex justify-content-between mb-4">
      <button class="w-100 text-center home-welcome__small-buttons mb-3" {{action 'toggleModal' 'isShowingCreateNetModal'}} type="button" name="button">
        CREAR RED
      </button>
    </div>
  {{/if}}
</div>
{{else}}
<button type="button" class="header__button home-welcome__header  t-0 p-2 pb-0 mb-0" >
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.index.index' click=(action 'toggleModal' 'isShowingMenuTags')}}
      {{svg-jar 'back' class="home-welcome__header-icon pb-0 mb-0"}}
    {{/link-to}}
  {{else}}
    {{#link-to 'index.index' click=(action 'toggleModal' 'isShowingMenuTags')}}
      {{svg-jar 'back' class="home-welcome__header-icon pb-0 mb-0"}}
    {{/link-to}}
  {{/if}}
</button>
{{trending-tags searchTrendingTags=searchTrendingTags buttonNet=buttonNet create=(action 'create')}}
{{/unless}}
{{yield}}
